# H245NegMasterSlaveDetermination Class Reference

`#include <h323neg.h>`

Inheritance diagram for H245NegMasterSlaveDetermination:

[legend]
Collaboration diagram for H245NegMasterSlaveDetermination:
[legend]

## Public Member Functions

| H245NegMasterSlaveDetermination (H323EndPoint &endpoint, H323Connection &connection)
PBoolean | Start (PBoolean renegotiate)
void | Stop ()
PBoolean | HandleIncoming (const H245_MasterSlaveDetermination &pdu)
PBoolean | HandleAck (const H245_MasterSlaveDeterminationAck &pdu)
PBoolean | HandleReject (const H245_MasterSlaveDeterminationReject &pdu)
PBoolean | HandleRelease (const H245_MasterSlaveDeterminationRelease &pdu)
void | HandleTimeout ()
PBoolean | IsMaster () const
PBoolean | IsDetermined () const

## Protected Types

| e_Idle
| e_Outgoing
| e_Incoming
| e_NumStates
| e_Indeterminate
| e_DeterminedMaster
| e_DeterminedSlave
| e_NumStatuses
enum | States { e_Idle, e_Outgoing, e_Incoming, e_NumStates }
enum | MasterSlaveStatus { e_Indeterminate, e_DeterminedMaster, e_DeterminedSlave, e_NumStatuses }

## Protected Member Functions

PBoolean | Restart ()

## Protected Attributes

enum H245NegMasterSlaveDetermination::States | state
DWORD | determinationNumber
unsigned | retryCount
enum H245NegMasterSlaveDetermination::MasterSlaveStatus | status

## Detailed Description

Determine the master and slave on a H245 connection as per H245 section 8.2

## Member Enumeration Documentation

enum H245NegMasterSlaveDetermination::MasterSlaveStatus `[protected]`

Enumerator:

  e_Indeterminate |
  e_DeterminedMaster |
  e_DeterminedSlave |
  e_NumStatuses |

enum H245NegMasterSlaveDetermination::States `[protected]`

Enumerator:

  e_Idle |
  e_Outgoing |
  e_Incoming |
  e_NumStates |

## Constructor & Destructor Documentation

H245NegMasterSlaveDetermination::H245NegMasterSlaveDetermination | ( | H323EndPoint & | endpoint,
|  | H323Connection & | connection |
| ) |  |  |

## Member Function Documentation

PBoolean H245NegMasterSlaveDetermination::HandleAck | ( | const H245_MasterSlaveDeterminationAck & | pdu | ) |

PBoolean H245NegMasterSlaveDetermination::HandleIncoming | ( | const H245_MasterSlaveDetermination & | pdu | ) |

PBoolean H245NegMasterSlaveDetermination::HandleReject | ( | const H245_MasterSlaveDeterminationReject & | pdu | ) |

PBoolean H245NegMasterSlaveDetermination::HandleRelease | ( | const H245_MasterSlaveDeterminationRelease & | pdu | ) |

void H245NegMasterSlaveDetermination::HandleTimeout | ( |  | ) | `[virtual]`

Reimplemented from H245Negotiator.

PBoolean H245NegMasterSlaveDetermination::IsDetermined | ( |  | ) | const`[inline]`

PBoolean H245NegMasterSlaveDetermination::IsMaster | ( |  | ) | const`[inline]`

PBoolean H245NegMasterSlaveDetermination::Restart | ( |  | ) | `[protected]`

PBoolean H245NegMasterSlaveDetermination::Start | ( | PBoolean | renegotiate | ) |

void H245NegMasterSlaveDetermination::Stop | ( |  | ) |

## Field Documentation

DWORD H245NegMasterSlaveDetermination::determinationNumber `[protected]`

unsigned H245NegMasterSlaveDetermination::retryCount `[protected]`

enum H245NegMasterSlaveDetermination::States H245NegMasterSlaveDetermination::state `[protected]`

enum H245NegMasterSlaveDetermination::MasterSlaveStatus H245NegMasterSlaveDetermination::status `[protected]`

The documentation for this class was generated from the following file:

- h323neg.h